VMID (Java SE 26 & JDK 26)
Description: declaration: module: java.rmi, package: java.rmi.dgc, class: VMID
Keywords: java.rmi.dgc.VMID class

# Class VMID

java.lang.Object
java.rmi.dgc.VMID

All Implemented Interfaces:
  `Serializable`

public final class VMID extends Object implements Serializable
A VMID is a identifier that is unique across all Java virtual machines. VMIDs are used by the distributed garbage collector to identify client VMs.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VMID()`
  Create a new VMID.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Compare this VMID to another, and return true if they are the same identifier.
  `int`
  `hashCode()`
  Compute hash code for this VMID.
  `static boolean`
  `isUnique()`
  Deprecated.
  `String`
  `toString()`
  Return string representation of this VMID.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### VMID

    public VMID()
    Create a new VMID. Each new VMID returned from this constructor is unique for all Java virtual machines under the following conditions: a) the conditions for uniqueness for objects of the class `java.rmi.server.UID` are satisfied, and b) an address can be obtained for this host that is unique and constant for the lifetime of this object.

- ## Method Details

  - ### isUnique

    @Deprecated public static boolean isUnique()
    Deprecated.
    Return true if an accurate address can be determined for this host. If false, reliable VMID cannot be generated from this host
    Returns:
      true if host address can be determined, false otherwise

  - ### hashCode

    public int hashCode()
    Compute hash code for this VMID.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this object
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### equals

    public boolean equals(Object obj)
    Compare this VMID to another, and return true if they are the same identifier.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare.
    Returns:
      `true` if this object is the same as the obj argument; `false` otherwise.
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### toString

    public String toString()
    Return string representation of this VMID.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object